# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litecms/productsearch/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/litecms/productsearch/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Litecms\\Productsearch\\": "packages/litecms/productsearch/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litecms\Productsearch\Providers\ProductsearchServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Productsearch'  => Litecms\Productsearch\Facades\Productsearch::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litecms\\ProductsearchTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Productsearch\Providers\ProductsearchServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Productsearch\Providers\ProductsearchServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Productsearch\Providers\ProductsearchServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/productsearch/{modulename}

**User**

    http://path-to-route-folder/user/productsearch/{modulename}

**Public**

    http://path-to-route-folder/productsearches


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/productsearch/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/productsearch/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/productsearch/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/productsearch/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/productsearch/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/productsearch/{modulename}/{slug}
    METHOD: GET