<?php

namespace Litecms\Productsearch\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductCustomSearchresultTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Productsearch\Models\ProductCustomSearchresult $product_custom_searchresult)
    {
        return [
            'id'                => $product_custom_searchresult->getRouteKey(),
            'key'               => [
                'public'    => $product_custom_searchresult->getPublicKey(),
                'route'     => $product_custom_searchresult->getRouteKey(),
            ], 
            'keyword'           => $product_custom_searchresult->keyword,
            'search_result'     => $product_custom_searchresult->search_result,
            'deleted_at'        => $product_custom_searchresult->deleted_at,
            'url'               => [
                'public'    => trans_url('productsearch/'.$product_custom_searchresult->getPublicKey()),
                'user'      => guard_url('productsearch/product_custom_searchresult/'.$product_custom_searchresult->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product_custom_searchresult->status),
            'created_at'        => format_date($product_custom_searchresult->created_at),
            'updated_at'        => format_date($product_custom_searchresult->updated_at),
        ];
    }
}